/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that allocate 100 floats in memory */
#include <stdio.h>
#include <malloc.h>

int main() {
    float *p;
    
    p = (float *) calloc(100,sizeof(float));
    if(!p){
      printf("allocation failure - aborting\n");
      exit(1);
    }
    printf ("%f\n", p[8]);
    p[8] = 1.2;
    printf ("%f\n", p[8]);
    free(p);
}
